Bug 84556 - FILEOPEN: formula error reading an xls file
Summary: FILEOPEN: formula error reading an xls file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta1
Hardware: All All
: highest critical
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:4.5.0 target:4.4.0.2 targe...
Keywords: bibisected, bisected, regression
Depends on:
Blocks: mab4.3
  Show dependency treegraph
 
Reported: 2014-10-01 13:54 UTC by Michele
Modified: 2016-07-15 02:59 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The original file in ods format (32.30 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-10-01 13:54 UTC, Michele
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michele 2014-10-01 13:54:43 UTC
Created attachment 107191 [details]
The original file in ods format

Problem description: 

Steps to reproduce:
1. Save the ods file with formulas in C column in xls format 
2. Close Spreadsheet and re-open the xls file
3. Look to the C column and you can see the problem

Current behavior:
Openening the xls file I see an RIF! error in the C column

Expected behavior:
Openening the xls file I have to see the formulas results in the C column. If you open the same file with Excel all seems ok

              
Operating System: Windows 7
Version: 4.3.2.2 release
Comment 1 Urmas 2014-10-01 14:28:22 UTC
Seems to be a regression.
Comment 2 Joel Madero 2014-10-01 15:14:49 UTC
Confirmed:
ubuntu 14.04 running E17

New
Critical - loss of data for common format
Highest - MAB - regression loss of data

92e8808c5d3f3e54366b8bf66bcbd7bb65089c3e is the first bad commit
commit 92e8808c5d3f3e54366b8bf66bcbd7bb65089c3e
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Thu Oct 17 23:58:22 2013 +0000

    source-hash-d1cbaee70d3f922937a1993914436c8fc899ebfc
    
    commit d1cbaee70d3f922937a1993914436c8fc899ebfc
    Author:     Krisztian Pinter <pin.terminator@gmail.com>
    AuthorDate: Sun Aug 11 18:35:52 2013 +0200
    Commit:     Jan Holesovsky <kendy@suse.cz>
    CommitDate: Tue Aug 13 18:35:03 2013 +0200
    
        startcenter: Add file type filter to RecentDocsView
    
        Change-Id: Ib42721e00f60590fc947ba8ec5f615227641e754

:100644 100644 c7c065976a76e393b9da7048dca2189f813a33b5 dbcceea06d1fde9eac2e2d28af44b78629fb5ef5 M	ccache.log
:100644 100644 e103c2d16b016303019675f20bdd46e348d8759a a439348d471f12086ba610835399eca1c2f67d34 M	commitmsg
:100644 100644 e20c6dc7cc9a5e6d0fb821802603f72488157100 0ff970a5fbcf31b664a221a8445aeb8881b87bd2 M	dev-install.log
:100644 100644 3ce23c5e04f3696c6e99b32413b87939abd8ff06 66be52e34295eed7b0e0d8838255bcc23079394d M	make.log
:040000 040000 92e40bec5e8aa3fe86788672caa720c19cd69cfe 00776b62e2c8065968d7d5e9a300d78e88e4fc6e M	opt


# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# bad: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect bad 4850941efe43ae800be5c76e1102ab80ac2c085d
# skip: [a043626b542eb8314218d7439534dce2fc325304] source-hash-9379a922c07df3cdb7d567cc88dfaaa39ead3681
git bisect skip a043626b542eb8314218d7439534dce2fc325304
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [1d4980621741d3050a5fe61b247c157d769988f2] source-hash-89d01a7d8028ddb765e02c116d202a2435894217
git bisect bad 1d4980621741d3050a5fe61b247c157d769988f2
# good: [ba096f438393091574da98fe7b8e6b05182a8971] source-hash-8499e78ca03c792f4fa2650e02b519094ba0baa8
git bisect good ba096f438393091574da98fe7b8e6b05182a8971
# bad: [e75547cbd2d9d480ba13e119a8df8098c9d3a0a3] source-hash-69f686774cfeb803fdd63ed1ef07ff70550930de
git bisect bad e75547cbd2d9d480ba13e119a8df8098c9d3a0a3
# good: [4984b2bcccf87dab80d9c47fb934d4ea0c08bd28] source-hash-89aeec9b1d2f771310eeb0fa4c820c19599df0f7
git bisect good 4984b2bcccf87dab80d9c47fb934d4ea0c08bd28
# good: [f6a86d8812bc1db2fee07af4d54b7af6a553cc59] source-hash-e4ebe80be51fb33545091aa4f0bbc0ea2fe674f0
git bisect good f6a86d8812bc1db2fee07af4d54b7af6a553cc59
# bad: [92e8808c5d3f3e54366b8bf66bcbd7bb65089c3e] source-hash-d1cbaee70d3f922937a1993914436c8fc899ebfc
git bisect bad 92e8808c5d3f3e54366b8bf66bcbd7bb65089c3e
# good: [6dab1aaf04879f7ed6ca8baace99020b7f709443] source-hash-417d1c2b13cbd70300d2921b5667dfadc7e25895
git bisect good 6dab1aaf04879f7ed6ca8baace99020b7f709443
# first bad commit: [92e8808c5d3f3e54366b8bf66bcbd7bb65089c3e] source-hash-d1cbaee70d3f922937a1993914436c8fc899ebfc
Comment 3 Joel Madero 2014-10-01 15:15:46 UTC
I believe this was introduced in 4.2 not 4.3 - version should be updated to reflect this
Comment 4 ign_christian 2014-10-01 17:19:41 UTC
Reproduced with LO 4.2.0.0.beta1 and 4.2.7.0.0+ Time: 2014-09-29_15:46:48

Not reproduced with LO 4.1.6.2 - Ubuntu 12.04 x86

Unable to find the pattern to repro from scratch.
Comment 5 ign_christian 2014-10-01 17:30:49 UTC
Btw WPS Office 2014 can read the formula in saved XLS file.
Comment 6 tommy27 2014-11-19 04:03:03 UTC
still reproducible in LibO 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@42, Branch:master, Time: 2014-11-12_00:19:18

LibO 4.2.x reached the end of life.
moving this mab4.2 to mab4.3 list.
Comment 7 Matthew Francis 2014-12-28 04:10:58 UTC
Behaviour appears to have changed from the below commit.

commit a592b81558c41e71c0f139d86489b163148ea8b7
Author: Kohei Yoshida <kohei.yoshida@gmail.com>
Date:   Fri Aug 9 12:09:44 2013 -0400

    Export shared formulas to xls, from the new shared formula in the core.
    
    Turns out we don't export shared formulas to xlsx, so no work is needed
    there.
    
    Change-Id: I85604f3b80c95c5b6179bbdac41e758c5de7854a
Comment 8 Commit Notification 2014-12-30 00:22:23 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b010e6724fa5cd519daafd3abf57f0a3257025bb

relative refs wrap around in xls, fdo#84556

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-12-30 00:22:27 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=11109ded381e0cc4f44f7837af995c8c82b3df09

add test for fdo#84556

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-01-07 19:36:34 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=352477c8f2f6bacaac434ef545b8a3ac5939b253&h=libreoffice-4-4

relative refs wrap around in xls, fdo#84556

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2015-01-07 19:38:00 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=57009e242645590603b8854a81be74c1d4872fa1&h=libreoffice-4-3

relative refs wrap around in xls, fdo#84556

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-03-10 07:30:45 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bb0c05cebed131805d04919fac2b83030087451b

Also relative row references need to wrap around, like fdo#84556 for columns

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2015-03-10 09:17:43 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0307413a287b07c08206169e2645261373e19bb1&h=libreoffice-4-4

Also relative row references need to wrap around, like fdo#84556 for columns

It will be available in 4.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Robinson Tryon (qubit) 2015-12-17 08:36:47 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]